# put_v1_fs_file

`PUT /v1/fs/file`

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `path` | query | Yes | string | File path |

### Parameter schemas

```json
[
  {
    "name": "path",
    "in": "query",
    "description": "File path",
    "required": true,
    "schema": {
      "type": "string"
    }
  }
]
```

## Request body

Raw file bytes

Required.

### text/plain

```json
{
  "schema": {
    "type": "string"
  }
}
```

## Responses

### 200

Write result

Content type: `application/json`

```json
{
  "schema": {
    "$ref": "#/components/schemas/FsWriteResponse"
  }
}
```

Related schemas: [FsWriteResponse](/sandbox-agent/docs/api-reference/schemas/fswriteresponse/).
